Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 6)
@@ -808,31 +1179,63 @@
         }
         #endregion
 
-        #region 入札案件一覧表示関連
-        #region 入札案件一覧表示
+        #region 工事案件一覧データ並び
         /// <summary>
-        /// 入札案件一覧表示
+        /// 工事案件一覧データ並び
         /// </summary>
-        private void DispTenders()
+        private enum DBColumn1
         {
+            ConstructionCode = 0,
+            ConstructionPeriod,
+            DETAILNO,
+            DETAILSTRING,
+            ConstructionStatusFlg,
+            EstimatesSubmitDeadline,
+            S_PERSONNAME,
+            C_PERSONNAME,
+            STARTDATE,
+            ENDDATE,
+        }
+        #endregion
+
+        #region 案件一覧表示
+        /// <summary>
+        /// 案件一覧表示
+        /// </summary>
+        private void DispSalesInProjects()
+        {
             ClsSystemOnceExecute ChkProc = new ClsSystemOnceExecute();
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            dgvTenders.SuspendLayout();
+            dgvSalesInProjects.SuspendLayout();
             try
             {
-                dgvTenders.Rows.Clear();
+                dgvSalesInProjects.Rows.Clear();
                 // SQL作成
-                string strSQL = CreateTendersSQL();
-                strSQL += " Order By ConstructionPeriod Desc, ConstructionCode Desc, ConstructionStatusFlg Asc";
-                List<ConstructionBaseInfo> arData = new List<ConstructionBaseInfo>();
+                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
+                strSQL += " A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, A.* ";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A LEFT JOIN  PERSONINCHARGEMASTER D  ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE,";
+                strSQL += " CONSTRUCTIONBASEINFODETAIL B , PERSONINCHARGEMASTER C";
+
+                strSQL += CreateSalesInProjectsSQL();
+                strSQL += string.Format(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
+                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+
+                strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC";
+                ArrayList arData = new ArrayList();
+
+                DateTime dStart = DateTime.Now;
+                Console.WriteLine("Read Start :" + dStart.ToString("hh:mm:ss.fff"));
+
                 // 工事基本情報取得
-                if (!cbiDB.SelectAction(strSQL, ref arData)) return;
+                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
                 if (arData.Count == 0) return;
 
-                ProgressTenders.Visible = true;
-                ProgressTenders.Minimum = 0;
-                ProgressTenders.Maximum = arData.Count;
+                DateTime dEnd = DateTime.Now;
+                Console.WriteLine("Read End   :" + dEnd.ToString("hh:mm:ss.fff") + "==" + (dEnd - dStart).ToString());
+
+                ProgressSalesProjects.Visible = true;
+                ProgressSalesProjects.Minimum = 0;
+                ProgressSalesProjects.Maximum = arData.Count;
                 tabPage8.Update();
                 //Thread.Sleep(100);
 
@@ -839,83 +1242,84 @@
                 // データ表示
                 int ino = 1;
                 List<string> Details = new List<string>();
-                PersonInChargeMaster salesData = new PersonInChargeMaster();
-                PersonInChargeMaster constructorData = new PersonInChargeMaster();
 
-                // 期数を取得する
-                int BlankCnt = GetPeriodCount(CreateTendersSQL()) - 1;
-                // 行を作成する
-                DataGridViewRow[] list = null;
-                if ((arData.Count + BlankCnt) > 0)
-                    list = new DataGridViewRow[arData.Count + BlankCnt];
-
                 // 先頭の期数を取得する
-                ConstructionBaseInfo firstwrkRec = arData[0];
-                int BreakConstructionPeriod = firstwrkRec.ConstructionPeriod;
+                object[] firstwrkRec = (object[])arData[0];
+                int BreakConstructionPeriod = CommonMotions.cnvInt(firstwrkRec[(int)DBColumn1.ConstructionPeriod]);
                 int iLineCnt = 0;
-                foreach (ConstructionBaseInfo wrkRec in arData)
+                int DBCnt = Enum.GetNames(typeof(DBColumn1)).Length;
+                int BreakConstructionCode = 0;
+                foreach (object[] wrkRec in arData)
                 {
-                    // 営業担当名取得
-                    string strSales = picDB.CreatePrimarykeyString(wrkRec.SalesPersonCode);
-                    picDB.ClearStruct(ref salesData);
-                    picDB.SelectAction(strSales, ref salesData);
-                    string salesname = salesData.PersonName;
-                    // 工事担当名取得
-                    string strConstructor = picDB.CreatePrimarykeyString(wrkRec.ConstructionPersonCode);
-                    picDB.ClearStruct(ref constructorData);
-                    string constructorname = CommonDefine.s_UndecidedString;
-                    if (picDB.SelectAction(strConstructor, ref constructorData)) constructorname = constructorData.PersonName;
+                    int iConstructionCode = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionCode]);
+                    int iConstructionPeriod = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionPeriod]);
+                    int iConstructionStatusFlg = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionStatusFlg]);
+                    DateTime dEstimatesSubmitDeadline = CommonMotions.cnvDate(wrkRec[(int)DBColumn1.EstimatesSubmitDeadline]);
+                    string salesname = CommonMotions.cnvString(wrkRec[(int)DBColumn1.S_PERSONNAME]);
+                    string constructorname = CommonMotions.cnvString(wrkRec[(int)DBColumn1.C_PERSONNAME]);
+                    if (constructorname.Length == 0) constructorname = CommonDefine.s_UndecidedString;
+                    DateTime dStartDate = CommonMotions.cnvDate(wrkRec[(int)DBColumn1.STARTDATE]);
+                    DateTime dEndDate = CommonMotions.cnvDate(wrkRec[(int)DBColumn1.ENDDATE]);
 
+                    if (iConstructionCode == BreakConstructionCode) continue;
                     // 名称取得
-                    getDetailStrings(wrkRec.ConstructionCode, Details);
+                    getDetailStrings(iConstructionCode, arData, ref Details);
 
+                    BreakConstructionCode = iConstructionCode;
                     // 期が違えば空白を開ける
-                    if (BreakConstructionPeriod != wrkRec.ConstructionPeriod)
+                    if (BreakConstructionPeriod != iConstructionPeriod)
                     {
-                        DataGridViewRow brow = new DataGridViewRow();
-                        brow.CreateCells(dgvTenders);
-                        list[iLineCnt] = brow;
-                        BreakConstructionPeriod = wrkRec.ConstructionPeriod;
+                        BreakConstructionPeriod = iConstructionPeriod;
+                        dgvSalesInProjects.Rows.Add();
                         iLineCnt++;
                     }
 
                     // データセット
-                    DataGridViewRow row = new DataGridViewRow();
-                    row.CreateCells(dgvTenders);
-                    row.SetValues(new object[] { wrkRec.ConstructionCode.ToString()
+                    int LineCnt = dgvSalesInProjects.Rows.Add(iConstructionCode
                                                 , ino
-                                                , wrkRec.ConstructionPeriod.ToString()
+                                                , iConstructionPeriod
                                                 , Details[0]
-                                                , CommonDefine.ProjectsStatus[wrkRec.ConstructionStatusFlg]
-                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.EstimatesSubmitDeadline)
+                                                , CommonDefine.ProjectsStatus[iConstructionStatusFlg]
+                                                , CommonMotions.cnvDateToUndecidedString(dEstimatesSubmitDeadline)
                                                 , salesname
                                                 , constructorname
-                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.StartDate)
-                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.EndDate)
+                                                , CommonMotions.cnvDateToUndecidedString(dStartDate)
+                                                , CommonMotions.cnvDateToUndecidedString(dEndDate)
                                                 , Details[1] + Details[2] + Details[3]
-                                                , Details[4]});
+                                                , Details[4]);
+                                                //, Details[4]});
 
+                    // データを工事情報のフォーマットに詰めなおす
+                    ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
+                    int objCnt = wrkRec.Length - DBCnt;
+                    object[] wrkobj = new object[objCnt];
+                    for (int i = 0; i < objCnt; i++)
+                    {
+                        wrkobj[i] = wrkRec[i + DBCnt];
+                    }
+                    cbiDB.Reader2Struct(wrkobj, ref BaseRec);
+
                     // エラー行に色を付ける
-                    DispErrorSubmittedDateRow(dgvTenders, row, wrkRec, ChkProc);
-                    list[iLineCnt] = row;
+                    DataGridViewRow row = dgvSalesInProjects.Rows[LineCnt];
+                    DispErrorSubmittedDateRow(dgvSalesInProjects, row, BaseRec, ChkProc);
                     iLineCnt++;
-                    
+
                     // ProgressBarの値を変更する
-                    ProgressTenders.Value = ino++;
-                    ProgressTenders.Update();
+                    ProgressSalesProjects.Value = ino++;
+                    ProgressSalesProjects.Update();
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
-                dgvTenders.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
-                dgvTenders.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
-                dgvTenders.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+                dgvSalesInProjects.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
+                dgvSalesInProjects.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
+                dgvSalesInProjects.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
-                // グリッドに表示
-                if (list.Length != 0) dgvTenders.Rows.AddRange(list);
+                // ProgressBarの値を変更する
+                ProgressSalesProjects.Value = ProgressSalesProjects.Maximum;
+                ProgressSalesProjects.Update();
+                ProgressSalesProjects.Visible = false;
 
-                // ProgressBarの値を変更する
-                ProgressTenders.Value = ProgressTenders.Maximum;
-                ProgressTenders.Update();
-                ProgressTenders.Visible = false;
+                DateTime dAEnd = DateTime.Now;
+                Console.WriteLine("Read End   :" + dAEnd.ToString("hh:mm:ss.fff") + "==" + (dAEnd - dStart).ToString());
             }
             catch (Exception ex)
             {
@@ -923,35 +1327,34 @@
             }
             finally
             {
-                // 読込時データカウント取得
-                if (CommonDefine.s_MaxInitLineCount > dgvTenders.RowCount)
-                    dgvTenders.RowCount += (CommonDefine.s_MaxInitLineCount - dgvTenders.RowCount);
+                // データが多くなればソートできる
+                if (CommonDefine.s_MaxInitLineCount > dgvSalesInProjects.RowCount)
+                    dgvSalesInProjects.RowCount += (CommonDefine.s_MaxInitLineCount - dgvSalesInProjects.RowCount);
 
-                // ソートできる
-                foreach (DataGridViewColumn wrkCol in dgvTenders.Columns)
+                // データが多くなればソートできる
+                foreach (DataGridViewColumn wrkCol in dgvSalesInProjects.Columns)
                     wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
 
                 // グリッドソート実行
-                GridSortExcute(dgvTenders);
+                GridSortExcute(dgvSalesInProjects);
                 ChkProc = null;
                 cbiDB.close(); cbiDB = null;
-                picDB.close(); picDB = null;
-                dgvTenders.ResumeLayout();
+                dgvSalesInProjects.ResumeLayout();
             }
         }
         #endregion
 
-        #region 入札案件一覧表示用データ取得SQL作成
+        #region 工事案件一覧表示用データ取得SQL作成
         /// <summary>
-        /// 入札案件一覧表示用データ取得SQL作成
+        /// 工事案件一覧表示用データ取得SQL作成
         /// </summary>
-        private string CreateTendersSQL()
+        private string CreateSalesInProjectsSQL()
         {
             string strSQL = string.Empty;
             try
             {
                 List<int> stat = new List<int>();
-                stat.Add((int)CommonDefine.BaseInfoEstimateType.Didding);
+                stat.Add((int)CommonDefine.BaseInfoEstimateType.Normal);
 
                 strSQL += CreateListSQL(stat, true);
 
@@ -966,31 +1369,39 @@
         #endregion
         #endregion
 
-        #region 予算取り委案件一覧表示関連
-        #region 予算取り案件一覧表示
+        #region 入札案件一覧表示関連
+        #region 入札案件一覧表示
         /// <summary>
-        /// 予算取り案件一覧表示
+        /// 入札案件一覧表示
         /// </summary>
-        private void DispBudgetUpProjects()
+        private void DispTenders()
         {
             ClsSystemOnceExecute ChkProc = new ClsSystemOnceExecute();
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            dgvBudgetUp.SuspendLayout();
+            dgvTenders.SuspendLayout();
             try
             {
-                dgvBudgetUp.Rows.Clear();
+                dgvTenders.Rows.Clear();
                 // SQL作成
-                string strSQL = CreateBudgetUpProjectsSQL();
-                strSQL += " Order By ConstructionPeriod Desc, ConstructionCode Desc, ConstructionStatusFlg Asc";
-                List<ConstructionBaseInfo> arData = new List<ConstructionBaseInfo>();
+                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
+                strSQL += " A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, A.* ";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A LEFT JOIN  PERSONINCHARGEMASTER D  ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE,";
+                strSQL += " CONSTRUCTIONBASEINFODETAIL B , PERSONINCHARGEMASTER C";
+
+                strSQL += CreateTendersSQL();
+                strSQL += string.Format(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
+                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+
+                strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC";
+                ArrayList arData = new ArrayList();
+
                 // 工事基本情報取得
-                if (!cbiDB.SelectAction(strSQL, ref arData)) return;
+                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
                 if (arData.Count == 0) return;
 
-                ProgressBudgetUp.Visible = true;
-                ProgressBudgetUp.Minimum = 0;
-                ProgressBudgetUp.Maximum = arData.Count;
+                ProgressTenders.Visible = true;
+                ProgressTenders.Minimum = 0;
+                ProgressTenders.Maximum = arData.Count;
                 tabPage8.Update();
                 //Thread.Sleep(100);
 
@@ -997,84 +1408,81 @@
                 // データ表示
                 int ino = 1;
                 List<string> Details = new List<string>();
-                PersonInChargeMaster salesData = new PersonInChargeMaster();
-                PersonInChargeMaster constructorData = new PersonInChargeMaster();
 
-                // 期数を取得する
-                int BlankCnt = GetPeriodCount(CreateBudgetUpProjectsSQL()) - 1;
-                // 行を作成する
-                DataGridViewRow[] list = null;
-                if ((arData.Count + BlankCnt) > 0)
-                    list = new DataGridViewRow[arData.Count + BlankCnt];
-
                 // 先頭の期数を取得する
-                ConstructionBaseInfo firstwrkRec = arData[0];
-                int BreakConstructionPeriod = firstwrkRec.ConstructionPeriod;
+                object[] firstwrkRec = (object[])arData[0];
+                int BreakConstructionPeriod = CommonMotions.cnvInt(firstwrkRec[(int)DBColumn1.ConstructionPeriod]);
                 int iLineCnt = 0;
-                foreach (ConstructionBaseInfo wrkRec in arData)
+                int DBCnt = Enum.GetNames(typeof(DBColumn1)).Length;
+                int BreakConstructionCode = 0;
+                foreach (object[] wrkRec in arData)
                 {
+                    int iConstructionCode = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionCode]);
+                    int iConstructionPeriod = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionPeriod]);
+                    int iConstructionStatusFlg = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionStatusFlg]);
+                    DateTime dEstimatesSubmitDeadline = CommonMotions.cnvDate(wrkRec[(int)DBColumn1.EstimatesSubmitDeadline]);
+                    string salesname = CommonMotions.cnvString(wrkRec[(int)DBColumn1.S_PERSONNAME]);
+                    string constructorname = CommonMotions.cnvString(wrkRec[(int)DBColumn1.C_PERSONNAME]);
+                    if (constructorname.Length == 0) constructorname = CommonDefine.s_UndecidedString;
+                    DateTime dStartDate = CommonMotions.cnvDate(wrkRec[(int)DBColumn1.STARTDATE]);
+                    DateTime dEndDate = CommonMotions.cnvDate(wrkRec[(int)DBColumn1.ENDDATE]);
 
-                    // 営業担当名取得
-                    string strSales = picDB.CreatePrimarykeyString(wrkRec.SalesPersonCode);
-                    picDB.ClearStruct(ref salesData);
-                    picDB.SelectAction(strSales, ref salesData);
-                    string salesname = salesData.PersonName;
-                    // 工事担当名取得
-                    string strConstructor = picDB.CreatePrimarykeyString(wrkRec.ConstructionPersonCode);
-                    picDB.ClearStruct(ref constructorData);
-                    string constructorname = CommonDefine.s_UndecidedString;
-                    if (picDB.SelectAction(strConstructor, ref constructorData)) constructorname = constructorData.PersonName;
-
+                    if (iConstructionCode == BreakConstructionCode) continue;
                     // 名称取得
-                    getDetailStrings(wrkRec.ConstructionCode, Details);
+                    getDetailStrings(iConstructionCode, arData, ref Details);
 
+                    BreakConstructionCode = iConstructionCode;
+
                     // 期が違えば空白を開ける
-                    if (BreakConstructionPeriod != wrkRec.ConstructionPeriod)
+                    if (BreakConstructionPeriod != iConstructionPeriod)
                     {
-                        DataGridViewRow brow = new DataGridViewRow();
-                        brow.CreateCells(dgvBudgetUp);
-                        list[iLineCnt] = brow;
-                        BreakConstructionPeriod = wrkRec.ConstructionPeriod;
+                        BreakConstructionPeriod = iConstructionPeriod;
+                        dgvTenders.Rows.Add();
                         iLineCnt++;
                     }
 
                     // データセット
-                    DataGridViewRow row = new DataGridViewRow();
-                    row.CreateCells(dgvBudgetUp);
-                    row.SetValues(new object[] { wrkRec.ConstructionCode.ToString()
+                    int LineCnt = dgvTenders.Rows.Add(iConstructionCode
                                                 , ino
-                                                , wrkRec.ConstructionPeriod.ToString()
+                                                , iConstructionPeriod
                                                 , Details[0]
-                                                , CommonDefine.ProjectsStatus[wrkRec.ConstructionStatusFlg]
-                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.EstimatesSubmitDeadline)
+                                                , CommonDefine.ProjectsStatus[iConstructionStatusFlg]
+                                                , CommonMotions.cnvDateToUndecidedString(dEstimatesSubmitDeadline)
                                                 , salesname
                                                 , constructorname
-                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.StartDate)
-                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.EndDate)
+                                                , CommonMotions.cnvDateToUndecidedString(dStartDate)
+                                                , CommonMotions.cnvDateToUndecidedString(dEndDate)
                                                 , Details[1] + Details[2] + Details[3]
-                                                , Details[4]});
+                                                , Details[4]);
 
+                    // データを工事情報のフォーマットに詰めなおす
+                    ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
+                    int objCnt = wrkRec.Length - DBCnt;
+                    object[] wrkobj = new object[objCnt];
+                    for (int i = 0; i < objCnt; i++)
+                    {
+                        wrkobj[i] = wrkRec[i + DBCnt];
+                    }
+                    cbiDB.Reader2Struct(wrkobj, ref BaseRec);
+
                     // エラー行に色を付ける
-                    DispErrorSubmittedDateRow(dgvBudgetUp, row, wrkRec, ChkProc);
-                    list[iLineCnt] = row;
+                    DataGridViewRow row = dgvSalesInProjects.Rows[LineCnt];
+                    DispErrorSubmittedDateRow(dgvTenders, row, BaseRec, ChkProc);
                     iLineCnt++;
-
+                    
                     // ProgressBarの値を変更する
-                    ProgressBudgetUp.Value = ino++;
-                    ProgressBudgetUp.Update();
+                    ProgressTenders.Value = ino++;
+                    ProgressTenders.Update();
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
-                dgvBudgetUp.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
-                dgvBudgetUp.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
-                dgvBudgetUp.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+                dgvTenders.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
+                dgvTenders.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
+                dgvTenders.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
-                // グリッドに表示
-                dgvBudgetUp.Rows.AddRange(list);
-
                 // ProgressBarの値を変更する
-                ProgressBudgetUp.Value = ProgressBudgetUp.Maximum;
-                ProgressBudgetUp.Update();
-                ProgressBudgetUp.Visible = false;
+                ProgressTenders.Value = ProgressTenders.Maximum;
+                ProgressTenders.Update();
+                ProgressTenders.Visible = false;
             }
             catch (Exception ex)
             {
@@ -1082,36 +1490,34 @@
             }
             finally
             {
-                // データが多くなればソートできる
-                if (CommonDefine.s_MaxInitLineCount > dgvBudgetUp.RowCount)
-                    dgvBudgetUp.RowCount += (CommonDefine.s_MaxInitLineCount - dgvBudgetUp.RowCount);
+                // 読込時データカウント取得
+                if (CommonDefine.s_MaxInitLineCount > dgvTenders.RowCount)
+                    dgvTenders.RowCount += (CommonDefine.s_MaxInitLineCount - dgvTenders.RowCount);
 
-                // 読込時データカウント取得
-                foreach (DataGridViewColumn wrkCol in dgvBudgetUp.Columns)
+                // ソートできる
+                foreach (DataGridViewColumn wrkCol in dgvTenders.Columns)
                     wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
 
                 // グリッドソート実行
-                GridSortExcute(dgvBudgetUp);
-
+                GridSortExcute(dgvTenders);
                 ChkProc = null;
                 cbiDB.close(); cbiDB = null;
-                picDB.close(); picDB = null;
-                dgvBudgetUp.ResumeLayout();
+                dgvTenders.ResumeLayout();
             }
         }
         #endregion
 
-        #region 予算取り案件一覧表示用データ取得SQL作成
+        #region 入札案件一覧表示用データ取得SQL作成
         /// <summary>
-        /// 予算取り案件一覧表示用データ取得SQL作成
+        /// 入札案件一覧表示用データ取得SQL作成
         /// </summary>
-        private string CreateBudgetUpProjectsSQL()
+        private string CreateTendersSQL()
         {
             string strSQL = string.Empty;
             try
             {
                 List<int> stat = new List<int>();
-                stat.Add((int)CommonDefine.BaseInfoEstimateType.GetBudget);
+                stat.Add((int)CommonDefine.BaseInfoEstimateType.Didding);
 
                 strSQL += CreateListSQL(stat, true);
 
@@ -1126,37 +1532,39 @@
         #endregion
         #endregion
 
-        #region 工事案件一覧表示関連
+        #region 予算取り委案件一覧表示関連
+        #region 予算取り案件一覧表示
         /// <summary>
-        /// 案件一覧表示
+        /// 予算取り案件一覧表示
         /// </summary>
-        private void DispSalesInProjects()
+        private void DispBudgetUpProjects()
         {
             ClsSystemOnceExecute ChkProc = new ClsSystemOnceExecute();
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            dgvSalesInProjects.SuspendLayout();
+            dgvBudgetUp.SuspendLayout();
             try
             {
-                dgvSalesInProjects.Rows.Clear();
+                dgvBudgetUp.Rows.Clear();
                 // SQL作成
-                string strSQL = CreateSalesInProjectsSQL();
-                strSQL += " Order By ConstructionPeriod Desc, ConstructionCode Desc, ConstructionStatusFlg Asc";
-                List<ConstructionBaseInfo> arData = new List<ConstructionBaseInfo>();
+                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
+                strSQL += " A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, A.* ";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A LEFT JOIN  PERSONINCHARGEMASTER D  ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE,";
+                strSQL += " CONSTRUCTIONBASEINFODETAIL B , PERSONINCHARGEMASTER C";
 
-                DateTime dStart = DateTime.Now;
-                Console.WriteLine("Read Start :" + dStart.ToString("hh:mm:ss.fff"));
+                strSQL += CreateBudgetUpProjectsSQL();
+                strSQL += string.Format(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
+                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
 
+                strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC";
+                ArrayList arData = new ArrayList();
+
                 // 工事基本情報取得
-                if (!cbiDB.SelectAction(strSQL, ref arData)) return;
+                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
                 if (arData.Count == 0) return;
 
-                DateTime dEnd = DateTime.Now;
-                Console.WriteLine("Read End   :" + dEnd.ToString("hh:mm:ss.fff") + "==" + (dEnd - dStart).ToString());
-
-                ProgressSalesProjects.Visible = true;
-                ProgressSalesProjects.Minimum = 0;
-                ProgressSalesProjects.Maximum = arData.Count;
+                ProgressBudgetUp.Visible = true;
+                ProgressBudgetUp.Minimum = 0;
+                ProgressBudgetUp.Maximum = arData.Count;
                 tabPage8.Update();
                 //Thread.Sleep(100);
 
